/* DHCP Options: 
*/
#ifndef DHCP_OPTION_H
#define DHCP_OPTION_H
#ifndef DHCP_OPTION_EXTRA_MEMBER_DECL
#define DHCP_OPTION_EXTRA_MEMBER_DECL
#endif
#ifndef DHCP_OPTION_EXTRA_MEMBER_INITIALIZER
#define DOEMI
#else
#define DOEMI DHCP_OPTION_EXTRA_MEMBER_INITIALIZER
#endif
enum dhcp_universe_code { DHCP_UNIVERSE, NWIP_UNIVERSE, FQDN_UNIVERSE };
struct dhcp_option 
{   unsigned char dhcp_universe_code, 
                  dhcp_option_code;
    unsigned short flags;
    const char   *dhcp_option_name;
    const char   *dhcp_option_format;
    DHCP_OPTION_EXTRA_MEMBER_DECL
} dhcp_options [] =
{
	{ DHCP_UNIVERSE,	0,	0,	"pad",			""	DOEMI },
	{ DHCP_UNIVERSE,	1,	0,	"subnet-mask",			"I"	DOEMI },
	{ DHCP_UNIVERSE,	2,	0,	"time-offset",			"l"	DOEMI },
	{ DHCP_UNIVERSE,	3,	0,	"routers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	4,	0,	"time-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	5,	0,	"ien116-name-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	6,	0,	"domain-name-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	7,	0,	"log-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	8,	0,	"cookie-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	9,	0,	"lpr-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	10,	0,	"impress-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	11,	0,	"resource-location-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	12,	0,	"host-name",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	13,	0,	"boot-size",			"S"	DOEMI },
	{ DHCP_UNIVERSE,	14,	0,	"merit-dump",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	15,	0,	"domain-name",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	16,	0,	"swap-server",			"I"	DOEMI },
	{ DHCP_UNIVERSE,	17,	0,	"root-path",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	18,	0,	"extensions-path",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	19,	0,	"ip-forwarding",			"f"	DOEMI },
	{ DHCP_UNIVERSE,	20,	0,	"non-local-source-routing",			"f"	DOEMI },
	{ DHCP_UNIVERSE,	21,	0,	"policy-filter",			"IIA"	DOEMI },
	{ DHCP_UNIVERSE,	22,	0,	"max-dgram-reassembly",			"S"	DOEMI },
	{ DHCP_UNIVERSE,	23,	0,	"default-ip-ttl",			"B"	DOEMI },
	{ DHCP_UNIVERSE,	24,	0,	"path-mtu-aging-timeout",			"L"	DOEMI },
	{ DHCP_UNIVERSE,	25,	0,	"path-mtu-plateau-table",			"SA"	DOEMI },
	{ DHCP_UNIVERSE,	26,	0,	"interface-mtu",			"S"	DOEMI },
	{ DHCP_UNIVERSE,	27,	0,	"all-subnets-local",			"f"	DOEMI },
	{ DHCP_UNIVERSE,	28,	0,	"broadcast-address",			"I"	DOEMI },
	{ DHCP_UNIVERSE,	29,	0,	"perform-mask-discovery",			"f"	DOEMI },
	{ DHCP_UNIVERSE,	30,	0,	"mask-supplier",			"f"	DOEMI },
	{ DHCP_UNIVERSE,	31,	0,	"router-discovery",			"f"	DOEMI },
	{ DHCP_UNIVERSE,	32,	0,	"router-solicitation-address",			"I"	DOEMI },
	{ DHCP_UNIVERSE,	33,	0,	"static-routes",			"IIA"	DOEMI },
	{ DHCP_UNIVERSE,	34,	0,	"trailer-encapsulation",			"f"	DOEMI },
	{ DHCP_UNIVERSE,	35,	0,	"arp-cache-timeout",			"L"	DOEMI },
	{ DHCP_UNIVERSE,	36,	0,	"ieee802-3-encapsulation",			"f"	DOEMI },
	{ DHCP_UNIVERSE,	37,	0,	"default-tcp-ttl",			"B"	DOEMI },
	{ DHCP_UNIVERSE,	38,	0,	"tcp-keepalive-interval",			"L"	DOEMI },
	{ DHCP_UNIVERSE,	39,	0,	"tcp-keepalive-garbage",			"f"	DOEMI },
	{ DHCP_UNIVERSE,	40,	0,	"nis-domain",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	41,	0,	"nis-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	42,	0,	"ntp-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	43,	0,	"vendor-encapsulated-options",			"E."	DOEMI },
	{ DHCP_UNIVERSE,	44,	0,	"netbios-name-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	45,	0,	"netbios-dd-server",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	46,	0,	"netbios-node-type",			"B"	DOEMI },
	{ DHCP_UNIVERSE,	47,	0,	"netbios-scope",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	48,	0,	"font-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	49,	0,	"x-display-manager",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	50,	0,	"dhcp-requested-address",			"I"	DOEMI },
	{ DHCP_UNIVERSE,	51,	0,	"dhcp-lease-time",			"L"	DOEMI },
	{ DHCP_UNIVERSE,	52,	0,	"dhcp-option-overload",			"B"	DOEMI },
	{ DHCP_UNIVERSE,	53,	0,	"dhcp-message-type",			"B"	DOEMI },
	{ DHCP_UNIVERSE,	54,	0,	"dhcp-server-identifier",			"I"	DOEMI },
	{ DHCP_UNIVERSE,	55,	0,	"dhcp-parameter-request-list",			"BA"	DOEMI },
	{ DHCP_UNIVERSE,	56,	0,	"dhcp-message",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	57,	0,	"dhcp-max-message-size",			"S"	DOEMI },
	{ DHCP_UNIVERSE,	58,	0,	"dhcp-renewal-time",			"L"	DOEMI },
	{ DHCP_UNIVERSE,	59,	0,	"dhcp-rebinding-time",			"L"	DOEMI },
	{ DHCP_UNIVERSE,	60,	0,	"vendor-class-identifier",			"X"	DOEMI },
	{ DHCP_UNIVERSE,	61,	0,	"dhcp-client-identifier",			"X"	DOEMI },
	{ DHCP_UNIVERSE,	62,	0,	"nwip-domain",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	63,	0,	"nwip-suboptions",			"Enwip."	DOEMI },
	{ DHCP_UNIVERSE,	64,	0,	"nisplus-domain",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	65,	0,	"nisplus-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	66,	0,	"tftp-server-name",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	67,	0,	"bootfile-name",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	68,	0,	"mobile-ip-home-agent",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	69,	0,	"smtp-server",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	70,	0,	"pop-server",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	71,	0,	"nntp-server",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	72,	0,	"www-server",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	73,	0,	"finger-server",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	74,	0,	"irc-server",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	75,	0,	"streettalk-server",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	76,	0,	"streettalk-directory-assistance-server",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	77,	0,	"user-class",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	78,	0,	"slp-directory-agent",			"fIa"	DOEMI },
	{ DHCP_UNIVERSE,	79,	0,	"slp-service-scope",			"fto"	DOEMI },
	{ DHCP_UNIVERSE,	81,	0,	"fqdn",			"Efqdn."	DOEMI },
	{ DHCP_UNIVERSE,	82,	0,	"relay-agent-information",			"Eagent."	DOEMI },
	{ DHCP_UNIVERSE,	85,	0,	"nds-servers",			"IA"	DOEMI },
	{ DHCP_UNIVERSE,	86,	0,	"nds-tree-name",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	87,	0,	"nds-context",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	98,	0,	"uap-servers",			"t"	DOEMI },
	{ DHCP_UNIVERSE,	118,	0,	"subnet-selection",			"I"	DOEMI },
	{ DHCP_UNIVERSE,	210,	0,	"authenticate",			"X"	DOEMI },
	{ DHCP_UNIVERSE,	255,	0,	"option-end",			"e"	DOEMI },
	{ FQDN_UNIVERSE,	0,	0,	"pad",			""	DOEMI },
	{ FQDN_UNIVERSE,	1,	0,	"no-client-update",			"f"	DOEMI },
	{ FQDN_UNIVERSE,	2,	0,	"server-update",			"f"	DOEMI },
	{ FQDN_UNIVERSE,	3,	0,	"encoded",			"f"	DOEMI },
	{ FQDN_UNIVERSE,	4,	0,	"rcode1",			"B"	DOEMI },
	{ FQDN_UNIVERSE,	5,	0,	"rcode2",			"B"	DOEMI },
	{ FQDN_UNIVERSE,	6,	0,	"hostname",			"t"	DOEMI },
	{ FQDN_UNIVERSE,	7,	0,	"domainname",			"t"	DOEMI },
	{ FQDN_UNIVERSE,	8,	0,	"fqdn",			"t"	DOEMI },
	{ NWIP_UNIVERSE,	0,	0,	"pad",			""	DOEMI },
	{ NWIP_UNIVERSE,	1,	0,	"illegal-1",			""	DOEMI },
	{ NWIP_UNIVERSE,	2,	0,	"illegal-2",			""	DOEMI },
	{ NWIP_UNIVERSE,	3,	0,	"illegal-3",			""	DOEMI },
	{ NWIP_UNIVERSE,	4,	0,	"illegal-4",			""	DOEMI },
	{ NWIP_UNIVERSE,	5,	0,	"nsq-broadcast",			"f"	DOEMI },
	{ NWIP_UNIVERSE,	6,	0,	"preferred-dss",			"IA"	DOEMI },
	{ NWIP_UNIVERSE,	7,	0,	"nearest-nwip-server",			"IA"	DOEMI },
	{ NWIP_UNIVERSE,	8,	0,	"autoretries",			"B"	DOEMI },
	{ NWIP_UNIVERSE,	9,	0,	"autoretry-secs",			"B"	DOEMI },
	{ NWIP_UNIVERSE,	10,	0,	"nwip-1-1",			"f"	DOEMI },
	{ NWIP_UNIVERSE,	11,	0,	"primary-dss",			"I"	DOEMI },

};
#endif
