# DHCP Options:
%dhcp_options = (
	'dhcp',
	{
		'pad' => { 'code' => 0,	'type' => '' },
		'subnet-mask' => { 'code' => 1,	'type' => 'I' },
		'time-offset' => { 'code' => 2,	'type' => 'l' },
		'routers' => { 'code' => 3,	'type' => 'IA' },
		'time-servers' => { 'code' => 4,	'type' => 'IA' },
		'ien116-name-servers' => { 'code' => 5,	'type' => 'IA' },
		'domain-name-servers' => { 'code' => 6,	'type' => 'IA' },
		'log-servers' => { 'code' => 7,	'type' => 'IA' },
		'cookie-servers' => { 'code' => 8,	'type' => 'IA' },
		'lpr-servers' => { 'code' => 9,	'type' => 'IA' },
		'impress-servers' => { 'code' => 10,	'type' => 'IA' },
		'resource-location-servers' => { 'code' => 11,	'type' => 'IA' },
		'host-name' => { 'code' => 12,	'type' => 't' },
		'boot-size' => { 'code' => 13,	'type' => 'S' },
		'merit-dump' => { 'code' => 14,	'type' => 't' },
		'domain-name' => { 'code' => 15,	'type' => 't' },
		'swap-server' => { 'code' => 16,	'type' => 'I' },
		'root-path' => { 'code' => 17,	'type' => 't' },
		'extensions-path' => { 'code' => 18,	'type' => 't' },
		'ip-forwarding' => { 'code' => 19,	'type' => 'f' },
		'non-local-source-routing' => { 'code' => 20,	'type' => 'f' },
		'policy-filter' => { 'code' => 21,	'type' => 'IIA' },
		'max-dgram-reassembly' => { 'code' => 22,	'type' => 'S' },
		'default-ip-ttl' => { 'code' => 23,	'type' => 'B' },
		'path-mtu-aging-timeout' => { 'code' => 24,	'type' => 'L' },
		'path-mtu-plateau-table' => { 'code' => 25,	'type' => 'SA' },
		'interface-mtu' => { 'code' => 26,	'type' => 'S' },
		'all-subnets-local' => { 'code' => 27,	'type' => 'f' },
		'broadcast-address' => { 'code' => 28,	'type' => 'I' },
		'perform-mask-discovery' => { 'code' => 29,	'type' => 'f' },
		'mask-supplier' => { 'code' => 30,	'type' => 'f' },
		'router-discovery' => { 'code' => 31,	'type' => 'f' },
		'router-solicitation-address' => { 'code' => 32,	'type' => 'I' },
		'static-routes' => { 'code' => 33,	'type' => 'IIA' },
		'trailer-encapsulation' => { 'code' => 34,	'type' => 'f' },
		'arp-cache-timeout' => { 'code' => 35,	'type' => 'L' },
		'ieee802-3-encapsulation' => { 'code' => 36,	'type' => 'f' },
		'default-tcp-ttl' => { 'code' => 37,	'type' => 'B' },
		'tcp-keepalive-interval' => { 'code' => 38,	'type' => 'L' },
		'tcp-keepalive-garbage' => { 'code' => 39,	'type' => 'f' },
		'nis-domain' => { 'code' => 40,	'type' => 't' },
		'nis-servers' => { 'code' => 41,	'type' => 'IA' },
		'ntp-servers' => { 'code' => 42,	'type' => 'IA' },
		'vendor-encapsulated-options' => { 'code' => 43,	'type' => 'E.' },
		'netbios-name-servers' => { 'code' => 44,	'type' => 'IA' },
		'netbios-dd-server' => { 'code' => 45,	'type' => 'IA' },
		'netbios-node-type' => { 'code' => 46,	'type' => 'B' },
		'netbios-scope' => { 'code' => 47,	'type' => 't' },
		'font-servers' => { 'code' => 48,	'type' => 'IA' },
		'x-display-manager' => { 'code' => 49,	'type' => 'IA' },
		'dhcp-requested-address' => { 'code' => 50,	'type' => 'I' },
		'dhcp-lease-time' => { 'code' => 51,	'type' => 'L' },
		'dhcp-option-overload' => { 'code' => 52,	'type' => 'B' },
		'dhcp-message-type' => { 'code' => 53,	'type' => 'B' },
		'dhcp-server-identifier' => { 'code' => 54,	'type' => 'I' },
		'dhcp-parameter-request-list' => { 'code' => 55,	'type' => 'BA' },
		'dhcp-message' => { 'code' => 56,	'type' => 't' },
		'dhcp-max-message-size' => { 'code' => 57,	'type' => 'S' },
		'dhcp-renewal-time' => { 'code' => 58,	'type' => 'L' },
		'dhcp-rebinding-time' => { 'code' => 59,	'type' => 'L' },
		'vendor-class-identifier' => { 'code' => 60,	'type' => 'X' },
		'dhcp-client-identifier' => { 'code' => 61,	'type' => 'X' },
		'nwip-domain' => { 'code' => 62,	'type' => 't' },
		'nwip-suboptions' => { 'code' => 63,	'type' => 'Enwip.' },
		'nisplus-domain' => { 'code' => 64,	'type' => 't' },
		'nisplus-servers' => { 'code' => 65,	'type' => 'IA' },
		'tftp-server-name' => { 'code' => 66,	'type' => 't' },
		'bootfile-name' => { 'code' => 67,	'type' => 't' },
		'mobile-ip-home-agent' => { 'code' => 68,	'type' => 'IA' },
		'smtp-server' => { 'code' => 69,	'type' => 'IA' },
		'pop-server' => { 'code' => 70,	'type' => 'IA' },
		'nntp-server' => { 'code' => 71,	'type' => 'IA' },
		'www-server' => { 'code' => 72,	'type' => 'IA' },
		'finger-server' => { 'code' => 73,	'type' => 'IA' },
		'irc-server' => { 'code' => 74,	'type' => 'IA' },
		'streettalk-server' => { 'code' => 75,	'type' => 'IA' },
		'streettalk-directory-assistance-server' => { 'code' => 76,	'type' => 'IA' },
		'user-class' => { 'code' => 77,	'type' => 't' },
		'slp-directory-agent' => { 'code' => 78,	'type' => 'fIa' },
		'slp-service-scope' => { 'code' => 79,	'type' => 'fto' },
		'fqdn' => { 'code' => 81,	'type' => 'Efqdn.' },
		'relay-agent-information' => { 'code' => 82,	'type' => 'Eagent.' },
		'nds-servers' => { 'code' => 85,	'type' => 'IA' },
		'nds-tree-name' => { 'code' => 86,	'type' => 't' },
		'nds-context' => { 'code' => 87,	'type' => 't' },
		'uap-servers' => { 'code' => 98,	'type' => 't' },
		'subnet-selection' => { 'code' => 118,	'type' => 'I' },
		'authenticate' => { 'code' => 210,	'type' => 'X' },
		'option-end' => { 'code' => 255,	'type' => 'e' },
	},
	'fqdn',
	{
		'pad' => { 'code' => 0,	'type' => '' },
		'no-client-update' => { 'code' => 1,	'type' => 'f' },
		'server-update' => { 'code' => 2,	'type' => 'f' },
		'encoded' => { 'code' => 3,	'type' => 'f' },
		'rcode1' => { 'code' => 4,	'type' => 'B' },
		'rcode2' => { 'code' => 5,	'type' => 'B' },
		'hostname' => { 'code' => 6,	'type' => 't' },
		'domainname' => { 'code' => 7,	'type' => 't' },
		'fqdn' => { 'code' => 8,	'type' => 't' },
	},
	'nwip',
	{
		'pad' => { 'code' => 0,	'type' => '' },
		'illegal-1' => { 'code' => 1,	'type' => '' },
		'illegal-2' => { 'code' => 2,	'type' => '' },
		'illegal-3' => { 'code' => 3,	'type' => '' },
		'illegal-4' => { 'code' => 4,	'type' => '' },
		'nsq-broadcast' => { 'code' => 5,	'type' => 'f' },
		'preferred-dss' => { 'code' => 6,	'type' => 'IA' },
		'nearest-nwip-server' => { 'code' => 7,	'type' => 'IA' },
		'autoretries' => { 'code' => 8,	'type' => 'B' },
		'autoretry-secs' => { 'code' => 9,	'type' => 'B' },
		'nwip-1-1' => { 'code' => 10,	'type' => 'f' },
		'primary-dss' => { 'code' => 11,	'type' => 'I' },
	},

);
