# DHCP Options:
dhcp_options = [
	'dhcp' = {
		'pad' : { 'type':'', 'code':0 },
		'subnet-mask' : { 'type':'I', 'code':1 },
		'time-offset' : { 'type':'l', 'code':2 },
		'routers' : { 'type':'IA', 'code':3 },
		'time-servers' : { 'type':'IA', 'code':4 },
		'ien116-name-servers' : { 'type':'IA', 'code':5 },
		'domain-name-servers' : { 'type':'IA', 'code':6 },
		'log-servers' : { 'type':'IA', 'code':7 },
		'cookie-servers' : { 'type':'IA', 'code':8 },
		'lpr-servers' : { 'type':'IA', 'code':9 },
		'impress-servers' : { 'type':'IA', 'code':10 },
		'resource-location-servers' : { 'type':'IA', 'code':11 },
		'host-name' : { 'type':'t', 'code':12 },
		'boot-size' : { 'type':'S', 'code':13 },
		'merit-dump' : { 'type':'t', 'code':14 },
		'domain-name' : { 'type':'t', 'code':15 },
		'swap-server' : { 'type':'I', 'code':16 },
		'root-path' : { 'type':'t', 'code':17 },
		'extensions-path' : { 'type':'t', 'code':18 },
		'ip-forwarding' : { 'type':'f', 'code':19 },
		'non-local-source-routing' : { 'type':'f', 'code':20 },
		'policy-filter' : { 'type':'IIA', 'code':21 },
		'max-dgram-reassembly' : { 'type':'S', 'code':22 },
		'default-ip-ttl' : { 'type':'B', 'code':23 },
		'path-mtu-aging-timeout' : { 'type':'L', 'code':24 },
		'path-mtu-plateau-table' : { 'type':'SA', 'code':25 },
		'interface-mtu' : { 'type':'S', 'code':26 },
		'all-subnets-local' : { 'type':'f', 'code':27 },
		'broadcast-address' : { 'type':'I', 'code':28 },
		'perform-mask-discovery' : { 'type':'f', 'code':29 },
		'mask-supplier' : { 'type':'f', 'code':30 },
		'router-discovery' : { 'type':'f', 'code':31 },
		'router-solicitation-address' : { 'type':'I', 'code':32 },
		'static-routes' : { 'type':'IIA', 'code':33 },
		'trailer-encapsulation' : { 'type':'f', 'code':34 },
		'arp-cache-timeout' : { 'type':'L', 'code':35 },
		'ieee802-3-encapsulation' : { 'type':'f', 'code':36 },
		'default-tcp-ttl' : { 'type':'B', 'code':37 },
		'tcp-keepalive-interval' : { 'type':'L', 'code':38 },
		'tcp-keepalive-garbage' : { 'type':'f', 'code':39 },
		'nis-domain' : { 'type':'t', 'code':40 },
		'nis-servers' : { 'type':'IA', 'code':41 },
		'ntp-servers' : { 'type':'IA', 'code':42 },
		'vendor-encapsulated-options' : { 'type':'E.', 'code':43 },
		'netbios-name-servers' : { 'type':'IA', 'code':44 },
		'netbios-dd-server' : { 'type':'IA', 'code':45 },
		'netbios-node-type' : { 'type':'B', 'code':46 },
		'netbios-scope' : { 'type':'t', 'code':47 },
		'font-servers' : { 'type':'IA', 'code':48 },
		'x-display-manager' : { 'type':'IA', 'code':49 },
		'dhcp-requested-address' : { 'type':'I', 'code':50 },
		'dhcp-lease-time' : { 'type':'L', 'code':51 },
		'dhcp-option-overload' : { 'type':'B', 'code':52 },
		'dhcp-message-type' : { 'type':'B', 'code':53 },
		'dhcp-server-identifier' : { 'type':'I', 'code':54 },
		'dhcp-parameter-request-list' : { 'type':'BA', 'code':55 },
		'dhcp-message' : { 'type':'t', 'code':56 },
		'dhcp-max-message-size' : { 'type':'S', 'code':57 },
		'dhcp-renewal-time' : { 'type':'L', 'code':58 },
		'dhcp-rebinding-time' : { 'type':'L', 'code':59 },
		'vendor-class-identifier' : { 'type':'X', 'code':60 },
		'dhcp-client-identifier' : { 'type':'X', 'code':61 },
		'nwip-domain' : { 'type':'t', 'code':62 },
		'nwip-suboptions' : { 'type':'Enwip.', 'code':63 },
		'nisplus-domain' : { 'type':'t', 'code':64 },
		'nisplus-servers' : { 'type':'IA', 'code':65 },
		'tftp-server-name' : { 'type':'t', 'code':66 },
		'bootfile-name' : { 'type':'t', 'code':67 },
		'mobile-ip-home-agent' : { 'type':'IA', 'code':68 },
		'smtp-server' : { 'type':'IA', 'code':69 },
		'pop-server' : { 'type':'IA', 'code':70 },
		'nntp-server' : { 'type':'IA', 'code':71 },
		'www-server' : { 'type':'IA', 'code':72 },
		'finger-server' : { 'type':'IA', 'code':73 },
		'irc-server' : { 'type':'IA', 'code':74 },
		'streettalk-server' : { 'type':'IA', 'code':75 },
		'streettalk-directory-assistance-server' : { 'type':'IA', 'code':76 },
		'user-class' : { 'type':'t', 'code':77 },
		'slp-directory-agent' : { 'type':'fIa', 'code':78 },
		'slp-service-scope' : { 'type':'fto', 'code':79 },
		'fqdn' : { 'type':'Efqdn.', 'code':81 },
		'relay-agent-information' : { 'type':'Eagent.', 'code':82 },
		'nds-servers' : { 'type':'IA', 'code':85 },
		'nds-tree-name' : { 'type':'t', 'code':86 },
		'nds-context' : { 'type':'t', 'code':87 },
		'uap-servers' : { 'type':'t', 'code':98 },
		'subnet-selection' : { 'type':'I', 'code':118 },
		'authenticate' : { 'type':'X', 'code':210 },
		'option-end' : { 'type':'e', 'code':255 },
	},
	'fqdn' = {
		'pad' : { 'type':'', 'code':0 },
		'no-client-update' : { 'type':'f', 'code':1 },
		'server-update' : { 'type':'f', 'code':2 },
		'encoded' : { 'type':'f', 'code':3 },
		'rcode1' : { 'type':'B', 'code':4 },
		'rcode2' : { 'type':'B', 'code':5 },
		'hostname' : { 'type':'t', 'code':6 },
		'domainname' : { 'type':'t', 'code':7 },
		'fqdn' : { 'type':'t', 'code':8 },
	},
	'nwip' = {
		'pad' : { 'type':'', 'code':0 },
		'illegal-1' : { 'type':'', 'code':1 },
		'illegal-2' : { 'type':'', 'code':2 },
		'illegal-3' : { 'type':'', 'code':3 },
		'illegal-4' : { 'type':'', 'code':4 },
		'nsq-broadcast' : { 'type':'f', 'code':5 },
		'preferred-dss' : { 'type':'IA', 'code':6 },
		'nearest-nwip-server' : { 'type':'IA', 'code':7 },
		'autoretries' : { 'type':'B', 'code':8 },
		'autoretry-secs' : { 'type':'B', 'code':9 },
		'nwip-1-1' : { 'type':'f', 'code':10 },
		'primary-dss' : { 'type':'I', 'code':11 },
	},

};
